vCenter 5.1 Pre-Install Check Script Duyuruldu

vCenter 5.1 Pre-Install Check Script VMware yöneticileri için yazılmış, mevcut ortamlarının 5.1.x güncellemesi veya kurulumu için hazır olup olmadığını denetlemelerini sağlayan bir PowerShell script’idir. Bu script Windows Server Active Directory konfigürasyonlarını kontrol ederek ekranda bir text rapor  gösterir. Gösterilen raporda her sonucun altına VMware Knowledge Base makalelerine linkler vererek ilgili durum hakkında bilgi almanızı sağlar. Tüm kontroller read-only’dir ve sistem üzerinde herhangi bir değişiklik yapılmaz. vCenter 5.1 Pre-Install Check Script Neleri Kontrol Eder?
  • İşletim Sistemi Kontrollri
  • Active Directory Domain Kontrolleri
  • Active Directory Forest Kontrolleri
  • Time Synchronization Kontrolleri
  • Domain Name System (DNS) Çözümleme Kontrolleri
  • Port Kontrolleri
  • Domain Controller Kontrolleri
  • vCenter Server Authentication Kontrolleri
Sistem Gereksinimleri vCenter 5.1 Pre-Install Check Script’i çalıştırabilmek için aşağıdaki gereksinimlerin karşılanması gerekmektedir.
  • 64-Bit Domain ortamında Windows 2003/ Windows 2008/2008 R2.
  • .Net Framework 3.5.0 veya üzeri
  • PowerShell 2.0 veya üzeri
  • PowerShell scriptleri çalıştırabilir durumda olmalı (Execution Policy düzgün atanmış olmalı)
  • Yükseltme senaryosu varsa PowerCLI 5.1 gerekli.
  • PowerShell Administrator olarak çalıştırılmalı.
  • PowerShell’i 64-Bit olarak çalıştırın (PowerShell’i x86 olarak çalıştırmayın)
Script’in Çalıştırılması
  1. Bu linkten script’i indirin. Daha sonra .zip dosyasını herhangi bir yere açın (Örnek C:\ dizini).
  2. PowerShell’i Administrator olarak çalıştırın. Bunun için PowerShell’e sağ tıklayıp Run as Administrator diyebilirsiniz.
  3. PowerShell varsayılan olarak sciptleri çalıştırmaz. Scriptleri çalıştırmasını sağlamak için Set-ExecutionPolice RemoteSigned yazmanız gerekmekte.
  4. Daha sonra PowerShell akranında Scripti .zip’ten çıkardığınız yere gelmelisiniz. Örnek;
PS C:\>cd Scripts PS C:\Scripts>.\PreCheckv2.ps1 Burada önemli bir nokta var. Scripti çalıştırdığınızda hata alırsanız PreCheckv2 dosyasına sağ tıklayın ve özellikler ekranında alt tarafta bulunan Security kısmında Unblock butonuna tıklayın. Eğer script’i daha önceki bir vCenter versiyonundan yükseltme kontrolü için kullanacaksanız hostname alanına vCenter sunucu adınızı yazmalısınız. Son olarak Run Checks butonuna tıklayarak kontrolü başlatabilirsiniz. Pre-install